Welcome to the new FlexRadio Community! Please review the new Community Rules and other important new Community information on the Message Board.
If you are having a problem, please check the Help Center for known solutions.
Need technical support from FlexRadio? It's as simple as Creating a HelpDesk ticket.

Maestro want's me to update sw version. I don't... Not just now anyway...

Adde TjernbergAdde Tjernberg Member ✭✭
edited May 28 in Maestro
When I turned on my Maestro yesterday I got the "Select a Version" screen... For some reason, I can't see my current version, 3.1.8. Am I forced to do update to 3.1.12 or what? The thing is that I work only remote and if I remember correct there is no support for remote upgrades yet (or do I dare to push the Update button??). 

Why can't I run my current version? Or is the Maestro just a brick on my desk now until I visit my Remote QTH??

I can connect with SmartSDR so in some way I can operate my radio but with no Maestro I don't have a PTT or can't use the paddles for CW.

Am I missing something here?

73's de Adde SM0SHG


Completed · Last Updated

Answers

  • Mike-VA3MWMike-VA3MW FlexRadio Employee, Community Manager admin
    edited May 15
    Hi Adde

    Yes, you will need to update.  The fixes for 3.1.12 are very critical and described in the community in a post just yesterday.  

    You will first need to update your Radio via SmartSDR to 3.1.12 if you have a PC that is local to the radio (on the same LAN subnet).  Once the radio is at 3.1.12 the Maestro will work just fine.

    You will not need to go through a PTT exercise as long as you do not change the login information. 

    Mike 
  • Tim - W4TMETim - W4TME Administrator, FlexRadio Employee admin
    edited May 15
    SmartSDR v3.1.2 and v2.6.2 have several fixes for critical bugs that greatly improve the operational stability and reliability of your radio and as a consequence, results in a more secure and better operating experience.  Some, but not all of these issues are the SD card corruption issue, the possibility of installing a corrupted firmware file, and the security updates for licensing and SmartLink.  The next planned SmartSDR release will be a version of SmartSDR v2.4.9 that has the critical fixes mentioned previously integrated into it.  It will be a SmartSDR v2.4.x version for those who are using v2.4.9 for various reasons.

    We highly recommend and strongly encourage everyone to upgrade to the latest version of SmartSDR at their earliest convenience.  Make certain to export your profiles before performing any SmartSDR update.

    Because reverting back to any previous version of SmartSDR v3, any version of SmartSDR v2.5 and any previous version of SmartSDR v2.6 less than v2.6.2 could put your radio into jeopardy of experiencing a critical issue and making your radio temporarily inoperable, we made the decision to remove those versions from being downloaded and possibly used in order to mitigate the risks to your radio and to enhance your operating experience.

    In the future, we plan to retain the latest and one revision older for software that is currently being maintained and receiving software bug fixes.

    It is the policy of FlexRadio support to only address issues for software running on the latest version of SmartSDR, which now is v2.4.9, v2.6.2, and v3.1.12. 

    In addition, any radio that is sent in for service will be returned to the owner with the latest version of SmartSDR for the same reasons mentioned above - it addresses several critical issues that can adversely affect the operation stability of your radio.

    While this is not an ideal scenario, we feel that in this instance, having everyone upgrade to the latest version of SmartSDR is for the greater good.  For those who operate the radio remotely, this can present additional challenges, as having a remote station has different challenges not associated with a locally accessible radio since you are not physically present at the operating position.  For remote stations, it is a best engineering practice to design your station in such a manner that any single point of failure can be mitigated, in the same way remote data centers are engineered. 

    While it may not be possible to eliminate all of the single points of failure, knowing what limitations exist with your remote station and accounting for those is recommended.  There are several things that cannot be done over a SmartLink connection; installing TURF files, importing and exporting profiles and performing firmware updates are the main ones.  To accommodate these, it is recommended that a PC be located at the remote site that can be remotely accessed so that the station can be properly maintained remotely.

    One other temporary workaround option is if you have a PC that is running the same version of SmartSDR that your radio is running, then you still have SmartLink access to the radio.

    Thank you for your understanding.
  • Adde TjernbergAdde Tjernberg Member ✭✭
    edited May 15
    Hi Tim and Michael,

    I do understand the reasons. No problem. BUT... What you have done with this way of forcing the update is that you made my Maestro useless until I visit my remote QTH 160km away. Correct??

    What I mean with access to the PTT is access to the SmartControl function... With no SmartControl no PTT and no paddles.

    73 de Adde
  • Eric-KE5DTOEric-KE5DTO Administrator, FlexRadio Employee admin
    edited May 15
    Adde,

    We appreciate your input.  And you weren't alone.  We made the decision to resurrect access to SmartSDR v2.6.2 and v3.1.8 through Maestro and FLEX-6000 M models this afternoon.  We'll be developing a policy for sunsetting software versions going forward and will communicate ahead of time to help prevent this from surprising folks like this.  Our apologies for the trouble and confusion this caused.
  • Asher - K0AUAsher - K0AU Member ✭✭
    edited May 28
    Eric and Tim,

    Thank you!

    As you develop a policy please consider the difference between sunsetting a version and revoking a version. What you did yesterday was revoke use of V2.6.1 from a SmartLinked Maestro. As a matter of policy I suggest that remote clients should always be allowed to use whatever version is on the radio - unless there's literally a life-safety risk in leaving the release in place.

    I'd also recommend supporting remote upgrades over SmartLink. Leaving a Windows PC with remote access on the same LAN as the Flex just has a lot of issues. I have routed VPN access to my home QTH, but as you know that doesn't help much with SSDR.

    In the Covid19 world I'm probably not the only person operating from my 2nd QTH and I'd like to know I don't have to worry about anything short of 180 day notice to visit my home QTH to manage radio software.
  • Eric-KE5DTOEric-KE5DTO Administrator, FlexRadio Employee admin
    edited May 28
    I appreciate the input and have added your comments as a suggestion to revisit how this works in Maestro/M models.  Thanks Asher.

Leave a Comment

Rich Text Editor. To edit a paragraph's style, hit tab to get to the paragraph menu. From there you will be able to pick one style. Nothing defaults to paragraph. An inline formatting menu will show up when you select text. Hit tab to get into that menu. Some elements, such as rich link embeds, images, loading indicators, and error messages may get inserted into the editor. You may navigate to these using the arrow keys inside of the editor and delete them with the delete or backspace key.